
package de.ivu.elect.business.ergebniskonflikt.entity;

public class GebieteAuswaehlenTypisiertErgebnisKonfliktCustomData extends GebieteAuswaehlenErgebnisKonfliktCustomData {

  private static final long serialVersionUID = 1L;

  private Enum< ? > losentscheidTyp;

  public GebieteAuswaehlenTypisiertErgebnisKonfliktCustomData(Enum< ? > losentscheidTyp) {
    super();
    this.losentscheidTyp = losentscheidTyp;
  }

  @Override
  public String getClassName() {
    return GebieteAuswaehlenTypisiertErgebnisKonfliktCustomData.class.getName();
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    if (!super.equals(o)) return false;

    GebieteAuswaehlenTypisiertErgebnisKonfliktCustomData that = (GebieteAuswaehlenTypisiertErgebnisKonfliktCustomData) o;

    return losentscheidTyp == that.losentscheidTyp;
  }

  @Override
  public int hashCode() {
    int result = super.hashCode();
    result = 31 * result + (losentscheidTyp != null ? losentscheidTyp.hashCode() : 0);
    return result;
  }

}
